## org.apache.cassandra.db
Class ColumnSerializer

    java.lang.Object
      org.apache.cassandra.db.ColumnSerializer

All Implemented Interfaces:
  ICompactSerializer2<IColumn>

    public class ColumnSerializer

extends java.lang.Object
implements ICompactSerializer2<IColumn>

Constructor Summary
`ColumnSerializer()`

Method Summary
`Column` `deserialize(java.io.DataInput dis)` Deserialize from the specified DataInput instance.
`static byte[]` `readName(java.io.DataInput in)`
`void` `serialize(IColumn column, java.io.DataOutput dos)` Serialize the specified type into the specified DataOutput instance.
`static void` `writeName(byte[] name, java.io.DataOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ColumnSerializer

    public ColumnSerializer()

Method Detail

### writeName

    public static void writeName(byte[] name,
                                 java.io.DataOutput out)

### readName

    public static byte[] readName(java.io.DataInput in)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### serialize

    public void serialize(IColumn column,
                          java.io.DataOutput dos)

  Description copied from interface: `ICompactSerializer2`
  Serialize the specified type into the specified DataOutput instance.

  Specified by:
    `serialize` in interface `ICompactSerializer2<IColumn>`
  Parameters:
    `column` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.

### deserialize

    public Column deserialize(java.io.DataInput dis)
                       throws java.io.IOException

  Description copied from interface: `ICompactSerializer2`
  Deserialize from the specified DataInput instance.

  Specified by:
    `deserialize` in interface `ICompactSerializer2<IColumn>`
  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation